API

List invites

GEThttps://api.visitors.now/v1/invites

Returns all pending invites for the project.

Request

index.ts
const res = await fetch("https://api.visitors.now/v1/invites", {
  headers: { Authorization: `Bearer ${VISITORS_API_KEY}` },
});

const invites = await res.json();

Response

[
  {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "email": "jane@example.com",
    "projectId": "fe14d7a2-0f3f-4dc4-9c0b-6f4a49f5c751",
    "acceptedAt": null,
    "createdAt": "2026-03-01T10:00:00.000Z"
  },
  {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "email": "alex@example.com",
    "projectId": "fe14d7a2-0f3f-4dc4-9c0b-6f4a49f5c751",
    "acceptedAt": null,
    "createdAt": "2026-03-05T14:30:00.000Z"
  }
  // ...
]

Response fields

id

string

Unique invite identifier.

email

string

The invited email address.

acceptedAt

string | null

When the invite was accepted, or null.

createdAt

string

ISO 8601 timestamp of when the invite was created.